/*=======================
    13. Start Blog css 
=========================*/

/* Blog Common */

.post-meta {
  & ul {
    & li {
      display: inline-block;
      & span {
        &:hover {
          & a {
            color: $primary;
          }
        }
        & i {
          margin-right: 10px;
        }
      }
    }
  }
}
.cat-btn {
  font-size: 24px;
  font-family: $handlee;
  font-weight: 400;
  text-decoration: underline;
  &:hover {
    text-decoration: underline;
  }
}

/* Blog Post Item */

.blog-post-item-one {
  display: flex;
  align-items: stretch;
  @media #{$xm} {
    flex-direction: column;
  }
  & .post-thumbnail,
  & .entry-content {
    width: 50%;
    @media #{$xm} {
      width: 100%;
    }
  }
  &:nth-child(even) {
    flex-direction: row-reverse;
    @media #{$xm} {
      flex-direction: column;
    }
  }
  & .post-thumbnail {
    & img {
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
  }
  & .entry-content {
    padding: 35px 65px;
    background-color: #fff;
    box-shadow: 0px 10px 60px 0px rgba(109, 109, 109, 0.15);
    @media #{$xs} {
      padding: 35px 30px;
    }
    & .cat-btn {
      margin-bottom: 5px;
      &:hover {
        color: $primary;
      }
    }
    & h3.title {
      font-size: 24px;
      line-height: 35px;
      margin-bottom: 10px;
      &:hover {
        color: $primary;
      }
    }
    & .post-meta {
      & ul {
        & li {
          &:not(:last-child) {
            margin-right: 25px;
          }
          & span {
            &:hover {
              & a {
                color: $primary;
              }
            }
          }
        }
      }
    }
  }
}

.blog-post-item-two {
  &:hover {
    & .entry-content {
      border-color: transparent;
      box-shadow: 0px 10px 60px 0px rgba(109, 109, 109, 0.1);
    }
  }
  & .post-thumbnail {
    & img {
      width: 100%;
    }
  }
  & .entry-content {
    padding: 35px 40px 30px;
    border: 1px solid rgba(44, 44, 44, 0.071);
    @include transition(0.3s);
    & .cat-btn {
      margin-bottom: 5px;
    }
    & h3.title {
      font-size: 23px;
      line-height: 35px;
      margin-bottom: 11px;
      &:hover {
        color: $primary;
      }
    }
    & .post-meta {
      & ul {
        & li {
          &:not(:last-child) {
            margin-right: 15px;
          }
        }
      }
    }
  }
}

.blog-post-item-three {
  & .post-thumbnail {
    position: relative;
    & .play-content-box {
      position: absolute;
      top: 50%;
      left: 50%;
      @include transform(translate(-50%, -50%));
    }
  }
  & .entry-content {
    position: relative;
    padding: 40px 50px;
    width: 90%;
    margin-left: auto;
    margin-right: auto;
    margin-top: -60px;
    box-shadow: 0px 10px 60px 0px rgba(109, 109, 109, 0.15);
    border-radius: 7px;
    @media #{$xs} {
      padding: 40px 30px;
    }
    & .cat-btn {
      margin-bottom: 10px;
    }
    & h3.title {
      font-size: 27px;
      line-height: 37px;
      margin-bottom: 10px;
      @media #{$xs} {
        font-size: 20px;
        line-height: 30px;
      }
      &:hover {
        color: $primary;
      }
    }
    & .post-meta {
      & ul {
        & li {
          &:last-child {
            margin-left: 26px;
          }
        }
      }
    }
  }
  &.blog-post-bg {
    & .entry-content {
      position: relative;
      z-index: 1;
      margin-top: 0;
      & h3.title {
        &:hover {
          color: $primary;
        }
      }
      &.yellow-bg {
        & .cat-btn {
          color: $heading;
        }
        & h3.title {
          &:hover {
            color: #000;
          }
        }
        & .post-meta {
          & ul {
            & li {
              & span {
                color: $heading;
                &:hover {
                  & a {
                    color: #000;
                  }
                }
              }
            }
          }
        }
      }
      &:before,
      &:after {
        position: absolute;
        content: "";
        z-index: -1;
        opacity: 0.1;
        background-size: contain;
      }
      &:before {
        background: url(../images/blog/leaf-1.png) no-repeat left;
        bottom: 25px;
        left: 15px;
        width: 146px;
        height: 151px;
      }
      &:after {
        background: url(../images/blog/leaf-2.png) no-repeat right;
        width: 199px;
        height: 194px;
        bottom: 10px;
        right: 30px;
      }
    }
  }
}

.blog-post-item-four {
  & .post-thumbnail {
    position: relative;
    & img {
      border-radius: 7px 7px 0 0;
    }
    & .post-date {
      position: absolute;
      right: 20px;
      bottom: -25px;
      background-color: $primary;
      border-radius: 7px;
      padding: 8px 15px 10px;
      text-align: center;
      font-size: 30px;
      color: $heading;
      font-weight: 800;
      line-height: 35px;
      & span {
        display: block;
        font-size: 13px;
        line-height: 18px;
        font-weight: 600;
      }
    }
  }
  & .entry-content {
    background-color: #fff;
    box-shadow: 0px 10px 60px 0px rgba(76, 76, 76, 0.1);
    & .content-inner {
      padding: 35px 40px;
      @media #{$lm} {
        padding: 35px 30px;
      }
    }
    & .post-meta {
      & ul {
        & li {
          margin-bottom: 5px;
        }
      }
    }
    & h3.title {
      font-size: 24px;
      line-height: 35px;
      margin-bottom: 15px;
      &:hover {
        color: $primary;
      }
    }
  }
  & .read-more {
    border-top: 1px solid rgba(44, 44, 44, 0.102);
    & .main-btn {
      display: flex;
      border-radius: 0 0 7px 7px;
      &.bordered-btn {
        border: none;
      }
      &:hover {
        background-color: $primary;
        color: $heading;
      }
    }
  }
}

/* Blog Details CSS */

.blog-details-wrapper {
  & .post-content {
    padding: 0px 60px 45px;
    border: 1px solid rgba(31, 30, 23, 0.071);
    @media #{$xs} {
      padding: 0px 30px 45px;
    }
    & .entry-content {
      padding: 35px 50px 30px;
      background-color: #fff;
      border-radius: 7px;
      box-shadow: 0px 10px 60px 0px rgba(109, 109, 109, 0.15);
      position: relative;
      margin-top: -60px;
      margin-bottom: 30px;
      & .cat-btn {
        margin-bottom: 10px;
      }
      & h3.title {
        font-size: 27px;
        line-height: 37px;
        margin-bottom: 15px;
        @media #{$xs} {
          font-size: 20px;
          line-height: 30px;
        }
      }
      & .post-meta {
        & ul {
          & li {
            &:not(:first-child) {
              margin-left: 25px;
            }
          }
        }
      }
    }
    & blockquote {
      background-color: #f8f6ef;
      padding: 30px 50px;
      & h4 {
        margin-bottom: 11px;
      }
    }
    & > p {
      margin-bottom: 40px;
    }
    & .post-share-tag {
      & .social-share,
      & .post-tag-cloud {
        & ul {
          & li {
            display: inline-block;
            &.item-heading {
              font-size: 18px;
              font-weight: 800;
              color: $heading;
              margin-right: 10px;
            }
          }
        }
      }
      & .post-tag-cloud {
        & ul {
          & li {
            & a {
              padding: 5px 13px;
              line-height: 20px;
              border: 1px solid rgba(44, 44, 44, 0.102);
              border-radius: 5px;
              margin-right: 5px;
              font-size: 15px;
              font-weight: 800;
              color: $heading;
              margin-bottom: 20px;
              &:hover {
                background-color: $primary;
                border-color: transparent;
              }
            }
          }
        }
      }
      & .social-share {
        & ul {
          & li {
            & a {
              font-size: 15px;
              margin-right: 15px;
            }
          }
        }
      }
    }
    & .post-author-box {
      background-color: #1f1e17;
      border-radius: 7px;
      padding: 40px;
      @media #{$lm} {
        padding: 40px 30px;
        flex-direction: column;
        align-items: center;
        text-align: center;
      }
      & .author-thumb {
        display: inline-flex;
        flex: 0 0 160px;
        max-width: 160px;
        height: 160px;
        margin-right: 35px;
        & img {
          width: 100%;
          border-radius: 50%;
        }
      }
      & .author-content {
        @media #{$lm} {
          padding-top: 20px;
        }
        & h4 {
          color: #fff;
          margin-bottom: 10px;
        }
        & p {
          color: rgba(255, 255, 255, 0.7);
          margin-bottom: 15px;
        }
        & ul.social-link {
          & li {
            & a {
              font-size: 15px;
              color: rgba(255, 255, 255, 0.7);
              margin-right: 15px;
              &:hover {
                color: $primary;
              }
            }
          }
        }
      }
    }
    & .post-navigation {
      border-bottom: 1px solid rgba(31, 30, 23, 0.102);
      & .post-nav-item {
        max-width: 280px;
        & .thumb {
          flex: 0 0 75px;
          max-width: 75px;
          height: 70px;
          margin-right: 20px;
          & img {
            width: 100%;
            border-radius: 5px;
          }
        }
        & .content {
          & h6 {
            font-size: 16px;
            line-height: 20px;
            &:hover {
              color: $primary;
            }
          }
          & .post-date {
            font-size: 14px;
            line-height: 20px;
            & i {
              margin-right: 10px;
            }
          }
        }
      }
    }
    & .comments-area {
      border-bottom: 1px solid rgba(31, 30, 23, 0.102);
      & .comments-title {
        margin-bottom: 25px;
      }
      & .comments-list {
        & .comment {
          display: flex;
          align-items: center;
          &:nth-child(even) {
            padding-left: 60px;
            @media #{$xs} {
              padding-left: 20px;
            }
          }
          & .comment-avatar {
            flex: 0 0 100px;
            max-width: 100px;
            height: 100px;
            margin-right: 30px;
            & img {
              width: 100%;
              border-radius: 50%;
            }
          }
          & .comment-wrap {
            & .comment-author-content {
              & .author-name {
                display: block;
                font-size: 18px;
                font-weight: 800;
                color: $heading;
                margin-bottom: 5px;
                & .date {
                  color: $text-color;
                  font-weight: 600;
                  font-size: 16px;
                  float: right;
                  @media #{$xs} {
                    float: none;
                  }
                }
              }
              & .reply {
                font-weight: 700;
                &:hover {
                  color: $heading;
                }
                & i {
                  margin-left: 10px;
                }
              }
            }
          }
        }
      }
    }
    & .comments-respond {
      & .comments-heading {
        margin-bottom: 25px;
      }
      & .comment-form {
        & .nice-select,
        & .form_control {
          background-color: #f8f6ef;
          margin-bottom: 30px;
          font-size: 18px;
          font-weight: 700;
          color: $heading;
          border-radius: 5px;
          border: 1px solid transparent;
          &:focus {
            background-color: transparent;
            border-color: $heading;
          }
          &::placeholder {
            color: $heading;
          }
        }
        & .nice-select {
          padding: 0 30px;
          height: 60px;
          line-height: 60px;
          &:after {
            right: 30px;
          }
          &.open {
            border-color: $heading;
          }
        }
      }
    }
  }
}

/* Sidebar Widget CSS */

.sidebar-widget-area {
  & .widget {
    padding: 30px 40px;
    border: 1px solid rgba(31, 30, 23, 0.102);
    border-radius: 5px;
    @media #{$xss} {
      padding: 30px 20px;
    }
    & h4.widget-title {
      &:after {
        display: block;
        content: "";
        width: 55px;
        height: 7px;
        background: url(../images/blog/line.png) no-repeat left;
        background-size: contain;
        margin-top: 12px;
        margin-bottom: 20px;
      }
    }
    &.search-widget {
      padding: 0;
      border: none;
      & form {
        & .form_control {
          background-color: $light-gray;
          font-size: 20px;
          font-weight: 600;
          color: $heading;
          border-radius: 5px;
          &::placeholder {
            color: $heading;
          }
        }
        & .search-btn {
          position: absolute;
          top: 17px;
          right: 30px;
          background-color: transparent;
        }
      }
    }
    &.author-widget {
      border: none;
      background-color: #1f1e17;
      padding: 50px 30px 40px;
      & .author-content {
        text-align: center;
        & img {
          display: inline-flex;
          width: 185px;
          height: 185px;
          border-radius: 50%;
          margin-bottom: 30px;
        }
        & h4 {
          color: #fff;
          margin-bottom: 10px;
        }
        & p {
          color: rgba(255, 255, 255, 0.7);
          margin-bottom: 20px;
        }
        & ul.social-link {
          & li {
            margin-left: 3px;
            margin-right: 3px;
            margin-bottom: 10px;
            & a {
              display: flex;
              align-items: center;
              justify-content: center;
              width: 40px;
              height: 40px;
              border-radius: 50%;
              background-color: rgba(255, 255, 255, 0.1);
              color: rgba(255, 255, 255, 0.7);
              &:hover {
                background-color: $primary;
                color: $heading;
              }
            }
          }
        }
      }
    }
    &.category-widget {
      & .category-nav {
        & li {
          margin-bottom: 20px;
          &:last-child {
            margin-bottom: 0;
            & a {
              padding-bottom: 0;
              border-bottom: none;
            }
          }
          & a {
            display: block;
            padding-bottom: 25px;
            border-bottom: 1px solid rgba(31, 30, 23, 0.102);
            font-size: 18px;
            font-weight: 600;
            &:hover {
              color: $heading;
              border-color: $primary;
            }
            & span {
              float: right;
            }
          }
        }
      }
    }
    &.recent-post-widget {
      & .recent-post-list {
        & .post-thumbnail-content {
          display: flex;
          margin-bottom: 40px;
          &:last-child {
            margin-bottom: 0;
          }
          & img {
            flex: 0 0 90px;
            max-width: 90px;
            height: 90px;
            border-radius: 7px;
            margin-right: 30px;
          }
          & .post-title-date {
            & h6 {
              font-weight: 800;
              color: $heading;
            }
            & .posted-on {
              font-size: 14px;
              font-weight: 600;
            }
          }
        }
      }
    }
    &.contact-info-widget {
      padding: 60px 50px;
      & .contact-info-box {
        background-color: $primary;
        z-index: 1;
        padding: 40px 20px;
        position: relative;
        border-radius: 7px;
        &:after {
          position: absolute;
          top: 0;
          left: 0;
          content: "";
          width: 100%;
          height: 100%;
          background: url(../images/widget/contact-2.png) no-repeat center;
          background-size: cover;
          z-index: -1;
        }
        & .icon {
          position: relative;
          width: 50px;
          height: 50px;
          @extend %flex-center;
          display: inline-flex;
          border-radius: 50%;
          background-color: rgba(31, 30, 23, 0.2);
          z-index: 1;
          font-size: 20px;
          color: #fff;
          margin-bottom: 20px;
          &:after {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            content: "";
            border-radius: 50%;
            width: 70px;
            height: 70px;
            background-color: rgba(31, 30, 23, 0.2);
          }
        }
        & .info {
          & h4 {
            font-weight: 700;
            font-size: 22px;
          }
          & h5 {
            font-size: 18px;
            font-weight: 700;
            margin-bottom: 20px;
            & a {
              text-decoration: underline;
            }
          }
          & .main-btn {
            padding: 5px 20px;
            &:hover {
              background-color: $heading;
              color: $primary;
            }
          }
        }
      }
    }
    &.tag-cloud-widget {
      & a {
        padding: 5px 14px;
        font-size: 14px;
        font-weight: 500;
        background-color: $light-gray;
        border-radius: 3px;
        margin-bottom: 10px;
        margin-right: 5px;
        line-height: 20px;
        &:hover {
          background-color: $primary;
          color: $heading;
        }
      }
    }
    &.download-widget {
      & a {
        display: flex;
        align-items: center;
        background-color: $light-gray;
        margin-bottom: 10px;
        font-weight: 700;
        color: $heading;
        font-size: 18px;
        &:last-child {
          margin-bottom: 0;
        }
        &:hover {
          & i {
            background-color: $primary;
            color: $heading;
          }
        }
        & i {
          flex: 0 0 55px;
          max-width: 55px;
          height: 55px;
          background-color: $dark-black;
          @extend %flex-center;
          font-size: 24px;
          border-radius: 5px;
          margin-right: 20px;
          color: #fff;
          @include transition(0.3s);
        }
      }
    }
  }
}
